# Interface methods for submodule: GaussianSmoothingOnUpdateDisplacementFieldTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DisplacementFieldTransformProxy as _DisplacementFieldTransformProxy


# Interface methods for class: GaussianSmoothingOnUpdateDisplacementFieldTransform
class GaussianSmoothingOnUpdateDisplacementFieldTransformProxy(_DisplacementFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetGaussianSmoothingVarianceForTheUpdateField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianSmoothingVarianceForTheUpdateField(self) -> float:
		""""""
		...

	def SetGaussianSmoothingVarianceForTheTotalField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianSmoothingVarianceForTheTotalField(self) -> float:
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def GaussianSmoothDisplacementField(self, arg0, arg1: float):
		""""""
		...

